#!/system/bin/sh
# Please do not hardcode /magisk/modname/... ; please use $MODDIR/...
# This will make your script more compatible even if Magisk changes its mount points in the future
MODDIR=${0%/*}

for disrec in $(grep -rl -e 'no_display_record' -e 'disable_ted_function' /my_region/etc/extension/ /my_bigball/etc/extension); 
do install -m 644 -D $disrec ${MODDIR}/$disrec; 
sed -i -e '/no_display_record/d; /disable_ted_function/d' ${MODDIR}/$disrec; 
mount --bind ${MODDIR}/$disrec $disrec; 
done
# This script will be executed in post-fs-data mode (executed before system startup)
# For more information visit the Magisk theme